Bug Hunting Session
Bug 66075 - Blanks are not correctly exported to MathML
Summary: Blanks are not correctly exported to MathML
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Frédéric Wang
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-23 11:27 UTC by Frédéric Wang
Modified: 2013-06-28 10:55 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample output (902 bytes, text/html)
2013-06-23 11:41 UTC, Frédéric Wang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang 2013-06-23 11:27:51 UTC
The commands "`" and "~" are supposed to produce small and large gaps. However, they are currently exported to MathML as empty <mi> elements, which have zero width. I've prepared a patch to use the MathML element <mspace> instead and will submit it for review.
Comment 1 Frédéric Wang 2013-06-23 11:41:40 UTC
Created attachment 81264 [details]
Sample output

https://gerrit.libreoffice.org/#/c/4454/

Here is a page to compare the old and new MathML code. You can view it in Firefox.
Comment 2 Jorendc 2013-06-23 20:53:08 UTC
Lets mark it as NEW then :-).

Thanks for reporting and submitting a patch for it!

Kind regards,
Joren
Comment 3 Frédéric Wang 2013-06-27 21:57:05 UTC
Marking these bugs assigned since I've already taken them.
Comment 4 Commit Notification 2013-06-28 09:57:49 UTC
Frederic Wang committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1418694edad8720dcd4884fd3e759c05a1f4cae9

fdo#66075 - Formula editor: export blanks as MathML <mspace> elements.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Frédéric Wang 2013-06-28 10:24:46 UTC
I think this bug can be closed?
Comment 6 Jorendc 2013-06-28 10:55:17 UTC
Of course it can :). _o_ thank you